apiVersion: apps/v1
kind: Deployment
metadata:
  name: redis-depl
spec:
  replicas: 1
  selector:
    matchLabels:
      app: redis
  template:
    metadata:
      labels:
        app: redis
    spec:
      imagePullSecrets:
        - name: registry-creds
      containers:
        - name: redis
          image: "{{ .Values.images.redisDeployment }}"
          imagePullPolicy: Always
          ports:
          - containerPort: 6379
            name: redis
